> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Request file report as JSON Body Method



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 post /v1/probe/file
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /v1/probe/file:
    servers:
      - url: api.probedev.com
    post:
      tags:
        - Media
      summary: Request file report as JSON Body Method
      operationId: routes/gateway.PostFile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GatewayPostFileRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/FormDataGatewayPostFileRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayPostFileResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
      security:
        - api_key: []
        - api_key_header: []
components:
  schemas:
    GatewayPostFileRequest:
      properties:
        ffprobe:
          $ref: '#/components/schemas/ProbefileRequestFFProbe'
        inject_json:
          type: boolean
        mediainfo:
          $ref: '#/components/schemas/ProbefileRequestMediaInfo'
        only:
          enum:
            - ffprobe
            - mediainfo
            - probe_report
          type:
            - 'null'
            - string
        output:
          default: json
          enum:
            - json
          type: string
        probe_report:
          $ref: '#/components/schemas/ProbefileRequestReport'
        queue_timeout:
          default: 60000
          format: int64
          type: integer
        timeout:
          default: 65000
          format: int64
          type: integer
        url:
          type: string
      type: object
    FormDataGatewayPostFileRequest:
      properties:
        ffprobe:
          $ref: '#/components/schemas/FormDataProbefileRequestFFProbe'
        mediainfo:
          $ref: '#/components/schemas/FormDataProbefileRequestMediaInfo'
        only:
          enum:
            - ffprobe
            - mediainfo
            - probe_report
          type:
            - 'null'
            - string
        probe_report:
          $ref: '#/components/schemas/FormDataProbefileRequestReport'
        queue_timeout:
          default: 60000
          format: int64
          type: integer
        timeout:
          default: 65000
          format: int64
          type: integer
        url:
          type: string
      type: object
    GatewayPostFileResponse:
      properties:
        error:
          type:
            - 'null'
            - string
        ffprobe:
          $ref: '#/components/schemas/ProbefileResponseTool'
        mediainfo:
          $ref: '#/components/schemas/ProbefileResponseTool'
        metadata:
          $ref: '#/components/schemas/ProbefileResponseMetadata'
        probe_report:
          $ref: '#/components/schemas/ProbefileResponseTool'
        success:
          type: boolean
      type: object
    ProbefileRequestFFProbe:
      properties:
        analyzeduration:
          default: 0
          type: integer
        byte_binary_prefix:
          default: false
          type: boolean
        count_frames:
          default: false
          type: boolean
        count_packets:
          default: false
          type: boolean
        enabled:
          default: true
          type: boolean
        max_probe_packets:
          default: 0
          type: integer
        max_ts_probe:
          default: 0
          format: int64
          type: integer
        output_format:
          default: json
          enum:
            - default
            - csv
            - flat
            - ini
            - json
            - xml
          type: string
        prefix:
          default: false
          type: boolean
        probesize:
          default: 0
          format: int64
          type: integer
        read_intervals:
          type:
            - 'null'
            - string
        select_streams:
          type:
            - 'null'
            - string
        sexagesimal:
          default: false
          type: boolean
        show_chapters:
          default: true
          type: boolean
        show_data:
          default: false
          type: boolean
        show_data_hash:
          default: false
          type: boolean
        show_entries:
          type:
            - 'null'
            - string
        show_error:
          default: true
          type: boolean
        show_format:
          default: true
          type: boolean
        show_frames:
          default: false
          type: boolean
        show_log:
          enum:
            - quiet
            - panic
            - fatal
            - error
            - warning
            - info
            - verbose
            - debug
            - trace
          type:
            - 'null'
            - string
        show_packets:
          default: false
          type: boolean
        show_private_data:
          default: false
          type: boolean
        show_programs:
          default: true
          type: boolean
        show_streams:
          default: true
          type: boolean
        skip_estimate_duration_from_pts:
          default: false
          type: boolean
        skip_frame:
          enum:
            - none
            - default
            - noref
            - bidir
            - nokey
            - nointra
            - all
          type:
            - 'null'
            - string
        timeout:
          default: 60000
          format: int64
          type: integer
        tls_verify:
          default: false
          type: boolean
        unit:
          default: false
          type: boolean
        version:
          $ref: '#/components/schemas/VersionsFFProbeRequestVersion'
          default: latest
      type: object
    ProbefileRequestMediaInfo:
      properties:
        enabled:
          default: true
          type: boolean
        full:
          default: false
          type: boolean
        language:
          default: raw
          type: string
        output:
          default: JSON
          enum:
            - Text
            - HTML
            - XML
            - JSON
            - EBUCore_1.8_ps
            - EBUCore_1.8_sp
            - EBUCore_1.8_ps_JSON
            - EBUCore_1.8_sp_JSON
            - EBUCore_1.6
            - FIMS_1.3
            - MPEG-7_Strict
            - MPEG-7_Relaxed
            - MPEG-7_Extended
            - PBCore_2.1
            - PBCore_2.0
            - PBCore_1.2
            - NISO_Z39.87
          type: string
        parse_speed:
          default: 0.5
          format: float
          type: number
        read_by_human:
          default: false
          type: boolean
        ssl_ignore_security:
          default: false
          type: boolean
        timeout:
          default: 60000
          format: int64
          type: integer
        version:
          $ref: '#/components/schemas/VersionsMediaInfoRequestVersion'
          default: latest
      type: object
    ProbefileRequestReport:
      properties:
        diff:
          default: true
          type: boolean
        enabled:
          default: true
          type: boolean
        prefer:
          enum:
            - ffprobe
            - mediainfo
          type:
            - 'null'
            - string
      type: object
    FormDataProbefileRequestFFProbe:
      properties:
        analyzeduration:
          default: 0
          type: integer
        byte_binary_prefix:
          default: false
          type: boolean
        count_frames:
          default: false
          type: boolean
        count_packets:
          default: false
          type: boolean
        enabled:
          default: true
          type: boolean
        max_probe_packets:
          default: 0
          type: integer
        max_ts_probe:
          default: 0
          format: int64
          type: integer
        output_format:
          default: json
          enum:
            - default
            - csv
            - flat
            - ini
            - json
            - xml
          type: string
        prefix:
          default: false
          type: boolean
        probesize:
          default: 0
          format: int64
          type: integer
        read_intervals:
          type:
            - 'null'
            - string
        select_streams:
          type:
            - 'null'
            - string
        sexagesimal:
          default: false
          type: boolean
        show_chapters:
          default: true
          type: boolean
        show_data:
          default: false
          type: boolean
        show_data_hash:
          default: false
          type: boolean
        show_entries:
          type:
            - 'null'
            - string
        show_error:
          default: true
          type: boolean
        show_format:
          default: true
          type: boolean
        show_frames:
          default: false
          type: boolean
        show_log:
          enum:
            - quiet
            - panic
            - fatal
            - error
            - warning
            - info
            - verbose
            - debug
            - trace
          type:
            - 'null'
            - string
        show_packets:
          default: false
          type: boolean
        show_private_data:
          default: false
          type: boolean
        show_programs:
          default: true
          type: boolean
        show_streams:
          default: true
          type: boolean
        skip_estimate_duration_from_pts:
          default: false
          type: boolean
        skip_frame:
          enum:
            - none
            - default
            - noref
            - bidir
            - nokey
            - nointra
            - all
          type:
            - 'null'
            - string
        timeout:
          default: 60000
          format: int64
          type: integer
        tls_verify:
          default: false
          type: boolean
        unit:
          default: false
          type: boolean
        version:
          $ref: '#/components/schemas/VersionsFFProbeRequestVersion'
          default: latest
      type: object
    FormDataProbefileRequestMediaInfo:
      properties:
        enabled:
          default: true
          type: boolean
        full:
          default: false
          type: boolean
        language:
          default: raw
          type: string
        output:
          default: JSON
          enum:
            - Text
            - HTML
            - XML
            - JSON
            - EBUCore_1.8_ps
            - EBUCore_1.8_sp
            - EBUCore_1.8_ps_JSON
            - EBUCore_1.8_sp_JSON
            - EBUCore_1.6
            - FIMS_1.3
            - MPEG-7_Strict
            - MPEG-7_Relaxed
            - MPEG-7_Extended
            - PBCore_2.1
            - PBCore_2.0
            - PBCore_1.2
            - NISO_Z39.87
          type: string
        parse_speed:
          default: 0.5
          format: float
          type: number
        read_by_human:
          default: false
          type: boolean
        ssl_ignore_security:
          default: false
          type: boolean
        timeout:
          default: 60000
          format: int64
          type: integer
        version:
          $ref: '#/components/schemas/VersionsMediaInfoRequestVersion'
          default: latest
      type: object
    FormDataProbefileRequestReport:
      properties:
        diff:
          default: true
          type: boolean
        enabled:
          default: true
          type: boolean
        prefer:
          enum:
            - ffprobe
            - mediainfo
          type:
            - 'null'
            - string
      type: object
    ProbefileResponseTool:
      properties:
        duration:
          minimum: 0
          type:
            - 'null'
            - integer
        error:
          type:
            - 'null'
            - string
        response: {}
        success:
          type: boolean
        usage:
          minimum: 0
          type:
            - 'null'
            - integer
      type: object
    ProbefileResponseMetadata:
      properties:
        io_usage:
          minimum: 0
          type:
            - 'null'
            - integer
        queue_time:
          minimum: 0
          type:
            - 'null'
            - integer
        request_id:
          type:
            - 'null'
            - string
      type: object
    VersionsFFProbeRequestVersion:
      enum:
        - latest
        - '7.1'
        - '7.0'
        - '6.0'
        - '5.1'
        - '5.0'
        - '4.4'
        - '4.3'
        - '4.2'
        - '4.1'
        - '4.0'
        - '3.4'
        - '3.3'
      type: string
    VersionsMediaInfoRequestVersion:
      enum:
        - latest
        - '25.04'
        - '24.06'
        - '23.11'
        - '22.12'
        - '21.09'
        - '20.09'
        - '19.09'
        - '18.12'
      type: string
  securitySchemes:
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer

````